<?php
/**
 * WCFM plugin controllers
 *
 * Plugin Refund Form Controller
 *
 * @author 		WC Lovers
 * @package 	wcfmmp/controllers/refund
 * @version   1.0.0
 */

class WCFMmp_Refund_Requests_Form_Controller {
	
	public function __construct() {
		global $WCFM, $WCFMmp;
		
		$this->processing();
	}
	
	public function processing() {
		global $WCFM, $WCFMmp, $wpdb;
		
		$wcfm_refund_tab_form_data = array();
	  parse_str($_POST['wcfm_refund_requests_form'], $wcfm_refund_tab_form_data);
	  
	  $wcfm_refund_messages = get_wcfm_refund_requests_messages();
	  $has_error = false;
	  
	  // Google reCaptcha refund
	  if ( function_exists( 'gglcptch_init' ) ) {
			if(isset($wcfm_refund_tab_form_data['g-recaptcha-response']) && !empty($wcfm_refund_tab_form_data['g-recaptcha-response'])) {
				$_POST['g-recaptcha-response'] = $wcfm_refund_tab_form_data['g-recaptcha-response'];
			}
			$check_result = apply_filters( 'gglcptch_verify_recaptcha', true, 'string', 'wcfm_refund_form' );
			if ( true === $check_result ) {
					/* do necessary action */
			} else { 
				echo '{"status": false, "message": "' . $check_result . '"}';
				die;
			}
		}
	  
	  if(isset($wcfm_refund_tab_form_data['wcfm_refund_reason']) && !empty($wcfm_refund_tab_form_data['wcfm_refund_reason'])) {
	  	
	  	$refund_reason    = $wcfm_refund_tab_form_data['wcfm_refund_reason'];
	  	$order_id         = absint( $wcfm_refund_tab_form_data['wcfm_refund_order_id'] );
	  	$commission_id    = absint( $wcfm_refund_tab_form_data['wcfm_refund_commission_id'] );
	  	$refund_item_id   = absint( $wcfm_refund_tab_form_data['wcfm_refund_product'] );
	  	$refund_request   = $wcfm_refund_tab_form_data['wcfm_refund_request'];
	  	$refunded_amount  = $wcfm_refund_tab_form_data['wcfm_refund_request_amount'];
	  	$refund_status    = 'pending';
	  	
	  	$product_id       = 0;
	  	$vendor_id        = 0;
	  	$item_total       = 0;
	  	$old_refunds      = 0;
	  	
	  	$sql = 'SELECT product_id, vendor_id, item_total, refunded_amount FROM ' . $wpdb->prefix . 'wcfm_marketplace_orders AS commission';
			$sql .= ' WHERE 1=1';
			$sql .= " AND `order_id` = " . $order_id;
			$sql .= " AND `ID` = " . $commission_id;
			$commissions = $wpdb->get_results( $sql );
			if( !empty( $commissions ) ) {
				foreach( $commissions as $commission ) {
					$product_id       = $commission->product_id;
					$vendor_id        = $commission->vendor_id;
					$item_total       = $commission->item_total;
					$old_refunds      = $commission->refunded_amount;
				}
			}
			
			if( $refund_request == 'full' ) {
				$refunded_amount = $item_total - (float)$old_refunds;
			}
			
			$refund_request_id = $WCFMmp->wcfmmp_refund->wcfmmp_refund_processed( $vendor_id, $order_id, $commission_id, $refund_item_id, $refund_reason, $refunded_amount, $refund_request );
	  	
			if( $refund_request_id && !is_wp_error( $refund_request_id ) ) {
				// Update Commissions Table Refund Status
				$wpdb->update("{$wpdb->prefix}wcfm_marketplace_orders", array('refund_status' => 'requested'), array('ID' => $commission_id), array('%s'), array('%d'));
				
				// Admin Notification
				$wcfm_messages = sprintf( __( 'You have recently received a Refund Request <b>%s</b> for Order <b>%s</b> item <b>%s</b>', 'wc-multivendor-marketplace' ), '<a target="_blank" class="wcfm_dashboard_item_title" href="' . add_query_arg( 'request_id', $refund_request_id, wcfm_refund_requests_url() ) . '">#' . $refund_request_id . '</a>', '<a target="_blank" class="wcfm_dashboard_item_title" href="' . get_wcfm_view_order_url( $order_id ) . '">#' . $order_id . '</a>', get_the_title( $product_id ) );
				$WCFM->wcfm_notification->wcfm_send_direct_message( -2, 0, 1, 0, $wcfm_messages, 'refund-request' );
				
				// Semd Vendor Notification
				if( wcfm_is_marketplace() ) {
					if( $vendor_id && !wcfm_is_vendor() ) {
						$is_allow_refund = $WCFM->wcfm_vendor_refund->wcfm_vendor_has_capability( $vendor_id, 'refund-request' );
						if( $is_allow_refund && apply_filters( 'wcfm_is_allow_refund_vendor_notification', true ) ) {
							$WCFM->wcfm_notification->wcfm_send_direct_message( -1, $vendor_id, 1, 0, $wcfm_messages, 'refund-request' );
						}
					}
				}
				
				echo '{"status": true, "message": "' . $wcfm_refund_messages['refund_requests_saved'] . ' #' . $refund_request_id . '"}';
			} else {
				echo '{"status": false, "message": "' . $wcfm_refund_messages['refund_requests_failed'] . '"}';
			}
		} else {
			echo '{"status": false, "message": "' . $wcfm_refund_messages['no_refund_reason'] . '"}';
		}
		
		die;
	}
}